/*  costfns.h

    Mark Jenkinson, FMRIB Image Analysis Group

    Copyright (C) 1999-2000 University of Oxford  */

/*  Part of FSL - FMRIB's Software Library
    WWW:      http://www.fmrib.ox.ac.uk/fsl
    Email:    fsl@fmrib.ox.ac.uk
    
    Developed at FMRIB (Oxford Centre for Functional Magnetic Resonance
    Imaging of the Brain), Department of Clinical Neurology, Oxford
    University, Oxford, UK
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.
    
    This program is distributed in the hope that it will be useful, but in
    order that the University as a charitable foundation protects its
    assets for the benefit of its educational and research purposes, the
    University makes clear that no condition is made or to be implied, nor
    is any warranty given or to be implied, as to the accuracy of FSL, or
    that it will be suitable for any particular purpose or for use under
    any specific conditions.  Furthermore, the University disclaims all
    responsibility for the use which is made of FSL.  See the GNU General
    Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA */

// Interpolation functions
//  Written by Mark Jenkinson  18/2/99

#if !defined(__costfns_h)
#define __costfns_h

#include "mjimage.h"
#include "miscimfns.h"

#ifndef NO_NAMESPACE
 using namespace MJIMAGE;
 using namespace MISCIMFNS;

 namespace COSTFNS {
#endif

  enum costfns { Woods, CorrRatio, MutualInfo, NormCorr, NormMI };

  float normcorr(const imagepair* ims, const Matrix& aff); 

  float woods_fn(const imagepair* ims, const Matrix& aff); 

  float corr_ratio(const imagepair* ims, const Matrix& aff); 

  float corr_ratio_smoothed(const imagepair* ims, const Matrix& aff); 

  float mutual_info(imagepair* ims, const Matrix& aff);

  float normalised_mutual_info(imagepair* ims, const Matrix& aff);


#ifndef NO_NAMESPACE
 }
#endif

#endif
