#

#   group_do - generic group operation from a script
#
#   Stephen Smith, FMRIB Image Analysis Group
#
#   Copyright (C) 1999-2000 University of Oxford
#
#   Part of FSL - FMRIB's Software Library
#   WWW:      http://www.fmrib.ox.ac.uk/fsl
#   Email:    fsl@fmrib.ox.ac.uk
#   
#   Developed at FMRIB (Oxford Centre for Functional Magnetic Resonance
#   Imaging of the Brain), Department of Clinical Neurology, Oxford
#   University, Oxford, UK
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or (at
#   your option) any later version.
#   
#   This program is distributed in the hope that it will be useful, but in
#   order that the University as a charitable foundation protects its
#   assets for the benefit of its educational and research purposes, the
#   University makes clear that no condition is made or to be implied, nor
#   is any warranty given or to be implied, as to the accuracy of FSL, or
#   that it will be suitable for any particular purpose or for use under
#   any specific conditions.  Furthermore, the University disclaims all
#   responsibility for the use which is made of FSL.  See the GNU General
#   Public License for more details.
#   
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
#   USA

if { [ info exists env(FSLDIR) ] } {
    set FSLDIR $env(FSLDIR)
} else {
    set FSLDIR $PXHOME/fsl
}

source ${FSLDIR}/tcl/medxstart.tcl
set auto_path [ linsert $auto_path 0 [ file dirname [ info script ] ] ]

MxGetCurrentFolder Folder
MxGetCurrentGroup Group

set filename /tmp/${USER}_group_do.tcl
set channel [open $filename "w"]

puts $channel {#
set PXHOME $env(PXHOME)
set USER $env(USER)
set auto_path [linsert $auto_path 0 $PXHOME/ui $PXHOME/tcl $PXHOME/fmrib/src/general]
MxGetCurrentFolder Folder
MxGetCurrentGroup Group
MxGetPagesFromGroup $Group Pages
foreach Page $Pages {
puts $Page

# put a page command on the following line, e.g.: MxThreshold $Page 100 V

}

# examples:

# group set properties:
#MxSetScale $Page 3.438 3.438 8.0
#MxSetImageProperties $Page {{DistanceUnits "mm"}}

# group save files individually:
#set outputdir /tmp/${USER}OUTPUTFILES
#exec /bin/mkdir $outputdir
#set i 0
#foreach Page $Pages {
#puts $Page
#set pad [format %04d $i]
#MxSaveImageAs $Page AVW $outputdir/vol$pad.hdr
#incr i 1
#}

# group SUSAN
#MxSetCurrentPage $Page
#set susan_dim 3D
#set susan_bt 50
#set susan_dt 10
#source ${PXHOME}/fmrib/src/susan/susan.tcl

}
close $channel

exec sh $PXHOME/bin/editconv.sh $filename $filename &
MxPause "Edit the file in the editor (use ImageScript Logging to find out what to put into the editor). Then save the file, kill the editor and press OK."

source $filename
